package com.bonus.sgzb.machine.damain;


import com.bonus.sgzb.common.core.annotation.Excel;

public class MaHouseSet {
  /**
   * 仓库ID
   */
  @Excel(name = "仓库ID")
  private long houseId;
  /**
   * 机具类型ID
   */
  @Excel(name = "机具类型ID")
  private long typeId;
  /**
   * 机具ID
   */
  @Excel(name = "机具ID")
  private long maId;
  /**
   * 数量
   */
  @Excel(name = "数量")
  private String num;
  /**
   * 帐号状态（0正常 1停用）
   */
  private String status;
  /**
   * 所属上级
   */
  @Excel(name = "所属上级")
  private long deptId;
  /**
   * 删除标志（0代表存在 2代表删除）
   */

  private String delFlag;
  /**
   * 创建者
   */
  @Excel(name = "创建者")
  private String createBy;
  /**
   * 创建时间
   */
  @Excel(name = "创建时间")
  private java.sql.Timestamp createTime;
  /**
   * 更新者
   */
  @Excel(name = "更新者")
  private String updateBy;
  /**
   * 更新时间
   */
  @Excel(name = "更新时间")
  private java.sql.Timestamp updateTime;
  /**
   * 备注
   */
  @Excel(name = "备注")
  private String remark;
  /**
   * 数据所属组织
   */
  @Excel(name = "数据所属组织")
  private String companyId;


  public long getHouseId() {
    return houseId;
  }

  public void setHouseId(long houseId) {
    this.houseId = houseId;
  }


  public long getTypeId() {
    return typeId;
  }

  public void setTypeId(long typeId) {
    this.typeId = typeId;
  }


  public long getMaId() {
    return maId;
  }

  public void setMaId(long maId) {
    this.maId = maId;
  }


  public String getNum() {
    return num;
  }

  public void setNum(String num) {
    this.num = num;
  }


  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }


  public long getDeptId() {
    return deptId;
  }

  public void setDeptId(long deptId) {
    this.deptId = deptId;
  }


  public String getDelFlag() {
    return delFlag;
  }

  public void setDelFlag(String delFlag) {
    this.delFlag = delFlag;
  }


  public String getCreateBy() {
    return createBy;
  }

  public void setCreateBy(String createBy) {
    this.createBy = createBy;
  }


  public java.sql.Timestamp getCreateTime() {
    return createTime;
  }

  public void setCreateTime(java.sql.Timestamp createTime) {
    this.createTime = createTime;
  }


  public String getUpdateBy() {
    return updateBy;
  }

  public void setUpdateBy(String updateBy) {
    this.updateBy = updateBy;
  }


  public java.sql.Timestamp getUpdateTime() {
    return updateTime;
  }

  public void setUpdateTime(java.sql.Timestamp updateTime) {
    this.updateTime = updateTime;
  }


  public String getRemark() {
    return remark;
  }

  public void setRemark(String remark) {
    this.remark = remark;
  }


  public String getCompanyId() {
    return companyId;
  }

  public void setCompanyId(String companyId) {
    this.companyId = companyId;
  }

}
